Package org.apache.sling.scripting.jsp.taglib

# Class IncludeTagHandler

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.AbstractDispatcherTagHandler
org.apache.sling.scripting.jsp.taglib.IncludeTagHandler

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class IncludeTagHandler extends AbstractDispatcherTagHandler
The `IncludeTagHandler` implements the `<sling:include>` custom tag.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`IncludeTagHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`dispatch(javax.servlet.RequestDispatcher dispatcher, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void`
`setFlush(boolean flush)`
`void`
`setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void`
`setScope(String scope)`
`void`
`setVar(String var)`

### Methods inherited from class org.apache.sling.scripting.jsp.taglib.AbstractDispatcherTagHandler

`doEndTag, release, setAddSelectors, setPath, setReplaceSelectors, setReplaceSuffix, setResource, setResourceType`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludeTagHandler

public IncludeTagHandler()

## Method Details

### dispatch

protected void dispatch(javax.servlet.RequestDispatcher dispatcher, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response) throws IOException, javax.servlet.ServletException

Specified by:
  `dispatch` in class `AbstractDispatcherTagHandler`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### setPageContext

public void setPageContext(javax.servlet.jsp.PageContext pageContext)

Specified by:
  `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `setPageContext` in class `AbstractDispatcherTagHandler`

### setFlush

public void setFlush(boolean flush)

### setVar

public void setVar(String var)

### setScope

public void setScope(String scope)